<?php
// Стартуем сессию
session_start();

// Задаем логин и пароль
$valid_username = 'admin';
$valid_password = 'password123';

// Проверка, если пользователь уже авторизован
if (!isset($_SESSION['authenticated']) || $_SESSION['authenticated'] !== true) {
    // Если не авторизован, показываем форму логина
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        $username = $_POST['username'] ?? '';
        $password = $_POST['password'] ?? '';

        // Проверка логина и пароля
        if ($username === $valid_username && $password === $valid_password) {
            $_SESSION['authenticated'] = true; // Запоминаем авторизацию
        } else {
            echo "<p>Неверный логин или пароль.</p>";
        }
    }

    if (!isset($_SESSION['authenticated']) || $_SESSION['authenticated'] !== true) {
        echo '
        <form method="POST">
            <label for="username">Логин:</label><br>
            <input type="text" id="username" name="username" required><br><br>
            <label for="password">Пароль:</label><br>
            <input type="password" id="password" name="password" required><br><br>
            <button type="submit">Войти</button>
        </form>';
        exit;
    }
}

// Если авторизация прошла, продолжаем выполнение кода
?>



<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tinymce/6.8.2/tinymce.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/tinymce/6.8.2/langs/ru.min.js"></script>
    <script>
        tinymce.init({
            selector: '#content',
            language: 'ru',
            height: 400,
            plugins: 'image code table link lists searchreplace visualblocks wordcount media',
            toolbar: 'undo redo | styles | bold italic underline | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent | link image media | removeformat | code',
            menubar: 'file edit view insert format tools table help',
            toolbar_mode: 'floating',
            images_upload_url: 'upload.php',
            images_upload_base_path: '/uploads',
            images_upload_credentials: true,
            image_dimensions: true,
            image_class_list: [
                {title: 'Адаптивное', value: 'img-fluid'}
            ],
            setup: function (editor) {
                editor.on('change', function () {
                    editor.save();
                });
            },
            content_style: 'body { font-family: Arial,sans-serif; font-size: 14px; }',
            relative_urls: false,
            remove_script_host: false,
            convert_urls: true,

            // Русские названия для стилей форматирования
            style_formats: [
                {title: 'Заголовки', items: [
                    {title: 'Заголовок 1', format: 'h1'},
                    {title: 'Заголовок 2', format: 'h2'},
                    {title: 'Заголовок 3', format: 'h3'},
                    {title: 'Заголовок 4', format: 'h4'},
                    {title: 'Заголовок 5', format: 'h5'},
                    {title: 'Заголовок 6', format: 'h6'}
                ]},
                {title: 'Блоки', items: [
                    {title: 'Параграф', format: 'p'},
                    {title: 'Блок кода', format: 'pre'}
                ]},
                {title: 'Форматирование', items: [
                    {title: 'Жирный', format: 'bold'},
                    {title: 'Курсив', format: 'italic'},
                    {title: 'Подчёркнутый', format: 'underline'},
                    {title: 'Зачёркнутый', format: 'strikethrough'},
                    {title: 'Верхний индекс', format: 'superscript'},
                    {title: 'Нижний индекс', format: 'subscript'},
                    {title: 'Код', format: 'code'}
                ]}
            ]
        });
    </script>
</head>
<link href="f/style.css" rel="stylesheet" type="text/css">
<body background="img/004.gif" bgcolor="#FFFFD5" text="#000000">


<center>
<h1><em><strong><span style="color: #800000;"><a style="color: #ffa500;" href="/blog">Блог.ДуДу2</a></span></strong></em></h1>
<table class="main" style="height: 42px;" border="1" width="632" align="center" bgcolor="white">
<tbody>
<tr style="height: 4px;">
<td style="width: 622px; height: 4px; text-align: center;">
<h3>Добавить новую статью</h3>
</td>
</tr>
<tr style="height: 4px;">
<td style="width: 622px; height: 4px;">	

<?php
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $title = trim($_POST['title'] ?? '');
    $content = trim($_POST['content'] ?? '');

    if ($title && $content) {
        $date = date('Y-m-d H:i:s');
        $id = uniqid();
        $filePath = "posts/$id.txt";

        // Сохраняем контент как есть, включая HTML-разметку
        $fullContent = "$title\n$date\n$content";
        
        file_put_contents($filePath, $fullContent);

        echo "<p>Статья добавлена успешно. <a href='index.php'>Вернуться на главную</a></p>";
        exit;
    } else {
        echo "<p>Пожалуйста, заполните все поля.</p>";
    }
}
?>

<!-- Форма с редактором -->
<form method="POST">
<table style="width: 100%;">
<tbody>
<tr>
<td style="width: 100px;">Заголовок:</td>
<td><input name="title" required="" type="text" style="width: 100%;" /></td>
</tr>
<tr>
<td colspan="2">Содержание:</td>
</tr>
<tr>
<td colspan="2">
    <textarea id="content" name="content"></textarea>
</td>
</tr>
<tr>
<td style="text-align: center;" colspan="2">
    <button type="submit">Добавить</button>
</td>
</tr>
</tbody>
</table>
</form>

</td>
</tr>
<tr style="height: 5px;">
<td style="width: 622px; height: 5px; text-align: center;">&copy; 2024 ДуДу2.ру&nbsp;Все права защищены.</td>
</tr>
</tbody>
</table>
</center>

</body>
</html>